 function editClip(ev) {
        ev.preventDefault(); 
       obj = $(this);
  
       obj.parent().parent().parent().next().css('display','block');
      return false;
  }
function tvOpenCommentary(id) {
  $("#tabs a[href=#tabs-3]").click();
  $("#tabs .lesson-resources").hide();
  $("#transcript-commentary-"+id).show();
}

function tvOpenResources() {
  $("#tabs-3 .transcript").hide();
  $("#tabs .lesson-resources").show();
}

// Function to Seek to a spot in the Video
var tvPlayer;
var tvClipStart = 0;
var tvClipStop = 0;
var tvClipFlag = false;
var tvPlayerInfo = {position: 0, duration: 0};
function playerReady(obj) {
  tvPlayer = document.getElementById(obj.id);
  //tvPlayer.addModelListener('TIME',  'timeMonitor');
};

function playTracker(eventData) {
  tvPlayerInfo.position = eventData.position;
  tvPlayerInfo.duration = eventData.duration;
}

function playNseek(pos) {
  tvClipFlag = false;
  jwplayer().seek(pos);
}

function timeMonitor(obj) {
  tvPlayerInfo.position = obj.position;
  tvPlayerInfo.duration = obj.duration;
  if ((obj.position > tvClipStop) && (tvClipFlag)) {
    tvClipFlag = false;
    tvPlayer.sendEvent('PLAY', false);
  }
}


function tvPlayClip(start, stop) {
  tvClipStart = start;
  tvClipStop = stop;
  tvClipFlag = true;
  tvPlayer.sendEvent('SEEK', start);
}

function time2seconds(timeString) {
  var parts = timeString.split(':');
  // convert these strings into integers
  var sec = parseInt(parts.pop(), 10);
  if (parts.length > 0) sec += parseInt(parts.pop(), 10) * 60;
  if (parts.length > 0) sec += parseInt(parts.pop(), 10) * 60 * 60;
  return sec;
}

function seconds2time(seconds) {
  var parts = [];
  var secondsLeft = seconds % 60;
  parts.unshift(pad2(secondsLeft));
  var minutes = parseInt(seconds / 60);
  var hours = 0;
  if (minutes >= 60) {
    hours = parseInt(minutes / 60);
    minutes = minutes % 60;
  }
  parts.unshift(pad2(minutes));
  if (hours) {
    parts.unshift(hours);
  }
  return parts.join(':');
}

function pad2(number) {
  return (number < 10 ? '0' : '') + number
}

function clipDialogAdjust(dialog) {
  dialog = dialog.parents(".clip-item");
  var scroller = $(dialog).parents(".lesson-clips");
  var scrollerH = scroller.height();
  var dialogH = dialog.outerHeight();
  var dialogBottomPos = dialog.offset().top - scroller.offset().top + dialogH;
  if (dialogBottomPos > scrollerH) {
    var scrollPos = scroller.scrollTop();
    var newPos = scrollPos + (dialogBottomPos - scrollerH);
    scroller.scrollTop(newPos);
  }
}

Drupal.behaviors.attachBookmarkClips = function() {
  $("a#create-clip").click(function(ev){
    ev.preventDefault();
    if ($("div.main-clip-save").hasClass('opened')) {
      $("div.main-clip-save").slideUp('slow', function(){
        // Animation complete
      }).removeClass('opened');
    }
    else {
      $("div.main-clip-save").slideDown('slow', function(){
        // Animation complete
      }).addClass('opened');
    }
  });
  $("div.main-clip-save a.start-time").click(function(ev){
    ev.preventDefault();
    $("div.main-clip-save input.start-time").val(seconds2time(parseInt(tvPlayerInfo.position)));
  });
  $("div.main-clip-save a.stop-time").click(function(ev){
    ev.preventDefault();
    $("div.main-clip-save input.stop-time").val(seconds2time(parseInt(tvPlayerInfo.position)));
  });

  $("a.start-time-edit").click(function(ev){
    ev.preventDefault();
    $("input.start-time-input_" + (this.id).replace("start-time-link_", "")).val(seconds2time(parseInt(tvPlayerInfo.position)));
  });
  $("a.stop-time-edit").click(function(ev){
    ev.preventDefault();
    $("input.stop-time-input_" + (this.id).replace("stop-time-link_", "")).val(seconds2time(parseInt(tvPlayerInfo.position)));
  });

  $("div.main-clip-save textarea").focus(function(ev){
    if (this.value == "Description") {
      $(this).val("");
    }
  });
  $("div.main-clip-save input.stop-time").focus(function(ev){
    if (this.value == "(optional)") {
      $(this).val("");
    }
  });
  
  //new 
  $("div.action-dialog a.cancel").click(function(ev){
    ev.preventDefault();  
    $(this).parents("div.action-dialog").slideUp('slow', function(){
      // Animation complete
    });
  });
  $("div.action-dialog a.start-time").click(function(ev){
    ev.preventDefault();
    $("div.action-dialog input.start-time").val(seconds2time(parseInt(tvPlayerInfo.position)));
  });
  $("div.action-dialog a.stop-time").click(function(ev){
    ev.preventDefault();
    $("div.action-dialog input.stop-time").val(seconds2time(parseInt(tvPlayerInfo.position)));
  });
  $("div.action-dialog textarea").focus(function(ev){
    if (this.value == "Description") {
      $(this).val("");
    }
  });
  $("div.action-dialog input.stop-time").focus(function(ev){
    if (this.value == "(optional)") {
      $(this).val("");
    }
  });
  
  
  //end
  $('.clip-edit a').click(function(ev)  {     
    ev.preventDefault();
    var obj = $(this);
    var dialog = obj.parent().parent().parent().find(".bookmark-dialog").show();
    clipDialogAdjust(dialog);
  });
  
 
  
   $('.clip-delete a').click(function(ev)  {
     
      if (confirm('Do you really want to delete this clip?')) {
        obj = $(this);
        $.ajax({
          type: "GET",
          url: $(this).attr('href'),
          dataType: "json",
          success: function(data) {
            if (data.status) {
              $("#clip-item-" + data.id).slideUp("fast", function(){$(this).remove()});
            }        
          }
        });  
      }
      
      return false;
  });
  
  $(".clip-play a").click(function()
  {
    var hash = (this.href).split('#')[1];
    var start = hash.split('-')[0];
    var end = hash.split('-')[1];
    if (start != null) {
      start = time2seconds(start);     
    }
    if (end != null) {
      end = time2seconds(end);
    }
    tvPlayClip(start,end);
    return false;
  });
}

$(document).ready(function() {
  tvOpenResources();
  $("#tabs > ul").tabs();
  // Make the files open in a new Window or Tab
  $('.filefield-file a').attr('target', '_blank');
  $("#video-clip-save").submit(function(ev){
    var dataString = $(this).serialize();
    $.ajax({
      type: "POST",
      url: Drupal.settings.basePath + "hub/video-clip/save",
      data: dataString,
      dataType: "json",
      success: function(data) {
        $(".clip-success").html(data.message).slideDown("slow", function(){
          setTimeout(function(){
            $(".clip-success").slideUp("slow");
          }, 4000);
        });

        if (data.status)
        {
          $("div.action-dialog input[type=text],div.action-dialog textarea").val("");
          $("#clip-tab").show().click();
          $(".lesson-clips").html(data.clip_data);
          Drupal.attachBehaviors('.lesson-clips');
        }
      }

    });
    ev.preventDefault();
  });
  
});

